package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 会议-实体
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
@Data
@TableName("meeting")
@ApiModel(value = "Meeting对象", description = "会议")
public class Meeting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("事务名称")
    private String name;

    @ApiModelProperty("事务类型")
    private String type;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("地区编码")
    private String regionCode;

    @ApiModelProperty("地区层级")
    private Integer regionLevel;

    @ApiModelProperty("地区详情")
    private String regionDetail;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("事务说明")
    private String description;

    @ApiModelProperty("附件")
    private String attachment;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人")
    private String author;

    @ApiModelProperty("创建人地区编码")
    private String authorRegionCode;

    @ApiModelProperty("创建人地区层级")
    private Integer authorRegionLevel;

    private Integer status;

    private String resultDescription;

    private String resultAttachment;

    @ApiModelProperty("是否下发会议通知")
    private Boolean sendMeetingNotice;

    @ApiModelProperty("是否停止随机邀请")
    private Boolean stopRandomInvite;

    @ApiModelProperty("是否进行了专家抽取")
    private Boolean invited;

    @ApiModelProperty("取消说明")
    private String cancelRemark;

    @ApiModelProperty("举办单位")
    private String holdCompany;

    public String getHoldCompanyBracket() {
        return "（" + this.getHoldCompany() + "）";
    }

}
