package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 事务专家表
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-27
 */
@Data
@Builder
@TableName("meeting_expert")
@ApiModel(value = "MeetingExpert对象", description = "事务专家表")
public class MeetingExpert implements Serializable {

    @Tolerate
    public MeetingExpert() {
    }

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("事务ID")
    private Long meetingId;

    @ApiModelProperty("专家ID")
    private Long expertId;

    @ApiModelProperty("邀请规则ID")
    private Long ruleId;

    private String mobile;

    @ApiModelProperty("当前状态")
    private Integer status;

    @ApiModelProperty("前一个状态")
    private Integer preStatus;

    private Long preId;

    @ApiModelProperty("邀请类型")
    private Integer inviteType;

    private Long createBy;

    private LocalDateTime createOn;

    private Long updateBy;

    private LocalDateTime updateOn;

    private String submitKey;

    private String expertName;

}
