package com.ningdatech.pmapi.meeting.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Collections;
import java.util.List;

/**
 * <p>
 * AvoidInfoDto
 * </p>
 *
 * @author WendyYang
 * @since 10:22 2022/7/26
 */
@Data
@ApiModel("回避信息")
public class AvoidInfoDTO {

    @ApiModelProperty("回避单位")
    @NotEmpty(message = "回避单位不能为空", groups = {AbstractInviteRule.RuleSave.class})
    private List<String> companyIds;

    @ApiModelProperty("是否回避同单位其他专家")
    @NotNull(message = "是否回避同单位其他专家不能为空")
    private Boolean avoidMates;

    @ApiModelProperty("回避专家ID")
    private List<Long> expertIds;

    /**
     * 返回一个默认值，仅在前端未传值时使用
     *
     * @return /
     */
    public static AvoidInfoDTO defVal() {
        AvoidInfoDTO val = new AvoidInfoDTO();
        val.setAvoidMates(false);
        val.setCompanyIds(Collections.emptyList());
        val.setExpertIds(Collections.emptyList());
        return val;
    }

    public void initDefVal() {
        if (this.avoidMates == null) {
            this.setAvoidMates(false);
        }
        if (this.companyIds == null) {
            this.setCompanyIds(Collections.emptyList());
        }
        if (this.expertIds == null) {
            this.setExpertIds(Collections.emptyList());
        }
    }

}
