package com.ningdatech.pmapi.meeting.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * MeetingBasicDto
 * </p>
 *
 * @author WendyYang
 * @since 09:35 2022/7/26
 */
@Data
@ApiModel("会议基本信息")
public class MeetingBasicDTO {

    @NotEmpty(message = "抽取单位不能为空")
    @ApiModelProperty("抽取单位")
    private String inviterCompany;

    @NotEmpty(message = "事务名称不能为空")
    @ApiModelProperty("事务名称")
    private String name;

    @NotEmpty(message = "事务类型不能为空")
    @ApiModelProperty("事务类型")
    private String type;

    @NotNull(message = "开始时间不能为空")
    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @NotNull(message = "结束时间不能为空")
    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @NotEmpty(message = "地区编码不能为空")
    @ApiModelProperty("地区编码")
    private String regionCode;

    @NotNull(message = "地区编码层级不能为空")
    @ApiModelProperty("地区编码层级")
    private Integer regionLevel;

    @NotEmpty(message = "地址详情不能为空")
    @ApiModelProperty("地址详情")
    private String regionDetail;

    @NotEmpty(message = "联系人不能为空")
    @ApiModelProperty("联系人")
    private String connecter;

    @NotEmpty(message = "联系方式不能为空")
    @ApiModelProperty("联系方式")
    private String contact;

    @NotEmpty(message = "事务说明不能为空")
    @ApiModelProperty("事务说明")
    private String description;

    @ApiModelProperty("附件ID")
    private List<String> attachmentIds;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String author;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

}
