package com.ningdatech.pmapi.meeting.entity.enumeration;

import lombok.Getter;

import java.util.Arrays;

/**
 * <p>
 * ExpertAttendStatus
 * </p>
 *
 * @author WendyYang
 * @since 09:23 2022/8/9
 */
@Getter
public enum ExpertAttendStatus {

    NOTICING("通知中", 0),
    NOT_ANSWERED("未应答", 1),
    REPLACED("已替换", 2),
    AGREED("同意参加", 3),
    REFUSED("拒绝参加", 4),
    CANCELED("已移除", 5),
    ON_LEAVE("已请假", 6);

    private final Integer code;
    private final String desc;

    ExpertAttendStatus(String desc, Integer code) {
        this.code = code;
        this.desc = desc;
    }

    public boolean eq(Integer code) {
        return this.getCode().equals(code);
    }

    public static ExpertAttendStatus getByCode(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.eq(code))
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException("无效的邀请状态"));
    }

}