package com.ningdatech.pmapi.meeting.entity.enumeration;

import lombok.Getter;

import java.util.Arrays;

/**
 * <p>
 * MeetingStatus
 * </p>
 *
 * @author WendyYang
 * @since 11:14 2022/8/8
 */
public class MeetingStatus {

    /**
     * 管理员事务列表：事务状态
     */
    @Getter
    public enum Manager {

        UNCOMPLETED("未完成", 1),
        COMPLETED("已完成", 2),
        CANCELED("已取消", 3);

        private final String desc;
        private final Integer code;

        Manager(String desc, Integer code) {
            this.desc = desc;
            this.code = code;
        }

        public boolean eq(Integer code) {
            return this.getCode().equals(code);
        }

        public static Manager getByCode(Integer code) {
            return Arrays.stream(values())
                    .filter(w -> w.getCode().equals(code))
                    .findFirst()
                    .orElseThrow(() -> new IllegalArgumentException("状态编码"));
        }

    }

    @Getter
    public enum Expert {

        TO_ATTEND("待参加", 1),
        ATTENDED("已参加", 2),
        ON_LEAVE("已请假", 3),
        UN_ATTEND("缺席", 4);

        private final String desc;
        private final Integer code;

        Expert(String desc, Integer code) {
            this.desc = desc;
            this.code = code;
        }

        public static Expert getByCode(Integer code) {
            return Arrays.stream(values())
                    .filter(w -> w.getCode().equals(code))
                    .findFirst()
                    .orElseThrow(() -> new IllegalArgumentException("状态编码"));
        }

    }

}
