package com.ningdatech.pmapi.meeting.entity.req;

import com.ningdatech.pmapi.meeting.entity.dto.AbstractInviteRule;
import com.ningdatech.pmapi.meeting.entity.dto.AppointInviteRuleDTO;
import com.ningdatech.pmapi.meeting.entity.dto.AvoidInfoDTO;
import com.ningdatech.pmapi.meeting.entity.dto.RandomInviteRuleDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * MeetingCreatePo
 * </p>
 *
 * @author WendyYang
 * @since 10:32 2022/7/26
 */
@Data
@ApiModel("专家抽取新家实体")
public class ExpertInviteCreateReq {

    @NotNull(message = "会议ID不能为空", groups = {AbstractInviteRule.RuleSave.class, AbstractInviteRule.CountCheck.class})
    @ApiModelProperty("会议ID")
    private Long meetingId;

    @Valid
    @ApiModelProperty("回避信息")
    private AvoidInfoDTO avoidInfo;

    @Valid
    @ApiModelProperty("随机抽取规则")
    private List<RandomInviteRuleDTO> randomRules;

    @Valid
    @ApiModelProperty("指定抽取规则")
    private AppointInviteRuleDTO appointRule;

}
