package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * InviteRuleDetailVo
 * </p>
 *
 * @author WendyYang
 * @since 14:58 2022/8/17
 */
@Data
public class InviteRuleDetailVO {

    @ApiModelProperty("是否创建邀请规则")
    private Boolean invited;

    @ApiModelProperty("随机邀请规则")
    private List<RandomInviteRuleVO> randomRules;

    @ApiModelProperty("是否有指定抽取规则")
    private Boolean hasAppointRule;

    @ApiModelProperty("指定抽取规则")
    private AppointRuleVo appointRule;

    @ApiModelProperty("是否有回避规则")
    private Boolean hasAvoidInfo;

    @ApiModelProperty("回避信息")
    private AvoidInfoVo avoidInfo;

    @Data
    public static class AvoidInfoVo {

        private List<String> companyIds;

        private Boolean avoidMates;

        private List<ExpertBasicInfoVO> experts;

    }

    @Data
    public static class AppointRuleVo {

        private String inviteDesc;

        private List<ExpertBasicInfoVO> experts;

    }

    public Boolean setAndGetHasAppointRule(Boolean hasAppointRule) {
        this.hasAppointRule = hasAppointRule;
        return this.hasAppointRule;
    }

    public Boolean setAndGetHasAvoidInfo(Boolean hasAvoidInfo) {
        this.hasAvoidInfo = hasAvoidInfo;
        return this.hasAvoidInfo;
    }

    public Boolean setAndGetInvited(Boolean invited) {
        this.invited = invited;
        return this.invited;
    }

}
