package com.ningdatech.pmapi.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;

/**
 * <p>
 * MeetingByManagerVo
 * </p>
 *
 * @author WendyYang
 * @since 11:43 2022/8/8
 */
@Data
@Builder
@ApiModel("会议实体（管理员列表）")
public class MeetingByManagerVO {

    @Tolerate
    public MeetingByManagerVO() {
    }

    @ApiModelProperty("事务ID")
    private Long id;

    @ApiModelProperty("事务状态")
    private Integer status;

    @ApiModelProperty("会议参加状态：1 待参加、2 已参加、3 已请假")
    private Integer attendStatus;

    @ApiModelProperty("事务名称")
    private String name;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("会议地址详情")
    private String meetingAddress;

    @ApiModelProperty("事务类型编码")
    private String dateType;

    @ApiModelProperty("事务类型名称")
    private String dateTypeName;

    @ApiModelProperty("事务开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("事务结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("邀请人数")
    private Integer inviteCount;

    @ApiModelProperty("确认人数")
    private Integer confirmCount;

    @ApiModelProperty("是否进行了专家抽取：true 是、false 否")
    private Boolean invited;

    @ApiModelProperty("抽取单位")
    private String inviterCompany;

}
