package com.ningdatech.pmapi.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.ningdatech.file.entity.vo.result.AttachFileVo;
import com.ningdatech.pmapi.sys.model.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * MeetingDetailBasicVo
 * </p>
 *
 * @author WendyYang
 * @since 15:16 2022/8/8
 */
@Data
@Builder
@ApiModel("会议详情基本信息")
public class MeetingDetailBasicVO {

    @Tolerate
    public MeetingDetailBasicVO() {
    }

    private Long id;

    @ApiModelProperty("会议名称")
    private String name;

    @ApiModelProperty("会议类型名称")
    private String typeName;

    @ApiModelProperty("会议类型代码")
    private String type;

    @ApiModelProperty("开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("创建人")
    private String author;

    private List<RegionDTO> regions;

    @ApiModelProperty("地点")
    private String address;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("会议说明")
    private String description;

    @ApiModelProperty("相关材料")
    private List<AttachFileVo> attachments;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("会议状态")
    private Integer status;

    @ApiModelProperty("专家出席状态")
    private Integer attendStatus;

    @ApiModelProperty("取消说明")
    private String cancelRemark;

    @ApiModelProperty("创建人")
    private String createBy;

    private Boolean invited;

    @ApiModelProperty("抽取单位")
    private String inviterCompany;

    @ApiModelProperty("是否已确认下发会议通知名单")
    private Boolean sendMeetingNotice;

}
